Bug 16005 - Media elements: I would suggest that Subtitle support be implemented for Audio Media elements for the hearing impaired users. It should also include an api that would allow custom presentation of the subtitles.
Media elements: I would suggest that Subtitle support be implemented for Audi...
Status: RESOLVED WORKSFORME
Product: HTML WG
Classification: Unclassified
Component: HTML5 spec
unspecified
Other other
: P3 normal
: ---
Assigned To: This bug has no owner yet - up for the taking
HTML WG Bugzilla archive list
http://www.whatwg.org/specs/web-apps/...
: a11y, media
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-02-16 19:52 UTC by contributor
Modified: 2012-09-25 03:31 UTC (History)
7 users (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description contributor 2012-02-16 19:52:28 UTC
Specification: http://dev.w3.org/html5/spec/
Multipage: http://www.whatwg.org/C#top
Complete: http://www.whatwg.org/c#top

Comment:
Media elements:

I would suggest that Subtitle support be implemented for Audio Media elements
for the hearing impaired users.

It should also include an api that would allow custom presentation of the
subtitles.

Posted from: 69.141.209.55
User agent: Opera/9.80 (Windows NT 6.0; U; Edition Next; en) Presto/2.10.255 Version/12.00
Comment 1 Silvia Pfeiffer 2012-02-16 21:18:37 UTC
You can already use the track element for audio elements, but you'd have to put the audio file in a <video> element to get a visual display. Otherwise the Web developer has to create the visual display through JavaScript.

BTW: Transcripts are often more useful than captions for audio files, since they don't require the hearing-impaired person to go along the pace of the audio file but can determine their own pace of reading.
Comment 2 contributor 2012-07-18 07:16:32 UTC
This bug was cloned to create bug 17914 as part of operation convergence.
Comment 3 Silvia Pfeiffer 2012-09-25 03:30:28 UTC
EDITOR'S RESPONSE: This is an Editor's Response to your comment. If
   you are satisfied with this response, please change the state of
   this bug to CLOSED. If you have additional information and would
   like the Editor to reconsider, please reopen this bug. If you would
   like to escalate the issue to the full HTML Working Group, please
   add the TrackerRequest keyword to this bug, and suggest title and
   text for the Tracker Issue; or you may create a Tracker Issue
   yourself, if you are able to do so. For more details, see this
   document:       http://dev.w3.org/html5/decision-policy/decision-policy.html

   Status: Rejected
   Rationale: Works for me, see comment2
Comment 4 Silvia Pfeiffer 2012-09-25 03:31:32 UTC
Of course that was meant to be comment1